org.kie.internal.runtime.conf

## Class ForceEagerActivationOption

- java.lang.Object
- - org.kie.internal.runtime.conf.ForceEagerActivationOption

- All Implemented Interfaces:
    Serializable, org.kie.api.conf.Option, org.kie.api.runtime.conf.KieSessionOption, org.kie.api.runtime.conf.SingleValueKieSessionOption
  Direct Known Subclasses:
    ForceEagerActivationOption.FILTERED

      public class ForceEagerActivationOption
      extends Object
      implements org.kie.api.runtime.conf.SingleValueKieSessionOption

  Option to force evaluation and then activation of rules annotated with @Eager.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ForceEagerActivationOption.FILTERED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ForceEagerActivationOption` | `NO`
    `static String` | `PROPERTY_NAME`
    `static ForceEagerActivationOption` | `YES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ForceEagerActivationFilter` | `getFilter()`
    `String` | `getPropertyName()`
    `static ForceEagerActivationOption` | `resolve(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### YES

          public static final ForceEagerActivationOption YES

    - #### NO

          public static final ForceEagerActivationOption NO

  - ### Method Detail

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getFilter

          public ForceEagerActivationFilter getFilter()

    - #### resolve

          public static ForceEagerActivationOption resolve(String value)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.